Minimum Operating System Requirements

The following are the minimum requirements for your operating system to run the RICOH360 Tours Mobile application on Android or iOS.

iOS: 11.0 or later
Android: 7.0 or later

*Please note the mobile application is designed for a mobile phone and may behave differently on tablets or iPad as those devices may have slightly different versions of the operating systems. 

 

Was this article helpful?

9 out of 10 found this helpful

Have more questions? Submit a request